-- ============================================================================
-- Copyright (C) 2024      Easya Solutions      <support@easya.solutions>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <https://www.gnu.org/licenses/>.
--
-- ============================================================================


--
-- List of all managed triggered events (used for trigger agenda automatic events and for notification)
--
insert into llx_c_action_trigger (rowid, code, label, description, elementtype, rang) values ('SUPPLIERCONTRACT_VALIDATE',   'Contract validated',    'Executed when a supplier contract is validated',    'suppliercontract', 18);
insert into llx_c_action_trigger (rowid, code, label, description, elementtype, rang) values ('SUPPLIERCONTRACT_MODIFY',     'Contract modified',     'Executed when a supplier contract is modified',     'suppliercontract', 18);
insert into llx_c_action_trigger (rowid, code, label, description, elementtype, rang) values ('SUPPLIERCONTRACT_SENTBYMAIL', 'Contract sent by mail', 'Executed when a supplier contract is sent by mail', 'suppliercontract', 18);
insert into llx_c_action_trigger (rowid, code, label, description, elementtype, rang) values ('SUPPLIERCONTRACT_DELETE',     'Contract deleted',      'Executed when a supplier contract is deleted',      'suppliercontract', 18);

--
-- The types of contact of an element
-- The unique key is set on (element, source, code)
--
insert into llx_c_type_contact (element, source, code, libelle, active) values ('suppliercontract', 'internal', 'SALESREPSIGN',  'Commercial signataire du contrat fournisseur',   1);
insert into llx_c_type_contact (element, source, code, libelle, active) values ('suppliercontract', 'internal', 'SALESREPFOLL',  'Commercial suivi du contrat fournisseur',        1);
insert into llx_c_type_contact (element, source, code, libelle, active) values ('suppliercontract', 'external', 'BILLING',       'Contact client facturation contrat fournisseur', 1);
insert into llx_c_type_contact (element, source, code, libelle, active) values ('suppliercontract', 'external', 'CUSTOMER',      'Contact client suivi contrat fournisseur',       1);
insert into llx_c_type_contact (element, source, code, libelle, active) values ('suppliercontract', 'external', 'SALESREPSIGN',  'Contact client signataire contrat fournisseur',  1);
